## List Pipelines

**get** `/api/v2/pipelines`

List the pipelines in a project, newest first.

### Query Parameters

- `name: optional string`

- `organization_id: optional string`

- `page_size: optional number`

- `page_token: optional string`

- `pipeline_type: optional "MANAGED" or "PLAYGROUND"`

  - `"MANAGED"`

  - `"PLAYGROUND"`

- `project_id: optional string`

### Cookie Parameters

- `session: optional string`

### Returns

- `items: array of object { id, name, pipeline_type, 4 more }`

  The list of items.

  - `id: string`

    The pipeline's unique identifier.

  - `name: string`

    The pipeline's display name.

  - `pipeline_type: "MANAGED" or "PLAYGROUND"`

    The pipeline's type.

    - `"MANAGED"`

    - `"PLAYGROUND"`

  - `project_id: string`

    The project the pipeline belongs to.

  - `created_at: optional string`

    Creation datetime

  - `status: optional "CREATED" or "DELETING"`

    The pipeline's current status.

    - `"CREATED"`

    - `"DELETING"`

  - `updated_at: optional string`

    Update datetime

- `next_page_token: optional string`

  A token, which can be sent as page_token to retrieve the next page. If this field is omitted, there are no subsequent pages.

- `total_size: optional number`

  The total number of items available. This is only populated when specifically requested. The value may be an estimate and can be used for display purposes only.

### Example

```http
curl https://api.cloud.llamaindex.ai/api/v2/pipelines \
    -H "Authorization: Bearer $LLAMA_CLOUD_API_KEY"
```

#### Response

```json
{
  "items": [
    {
      "id": "id",
      "name": "name",
      "pipeline_type": "MANAGED",
      "project_id": "project_id",
      "created_at": "2019-12-27T18:11:19.117Z",
      "status": "CREATED",
      "updated_at": "2019-12-27T18:11:19.117Z"
    }
  ],
  "next_page_token": "next_page_token",
  "total_size": 0
}
```
